#
# spec file for package tamago
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tamago
#Upstream name is tamago-tsunagi
%define tsunagiName %{name}-tsunagi
# 2015-02-03 Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
# I think tamago does not need X.
# tamago-tsunagi needs Emacs >= 23
#BuildRequires:  emacs-x11
BuildRequires:  emacs-nox >= 23
Requires:       emacs >= 23
Version:        5.0.7.1
Release:        bp153.1.14
Url:            http://sourceforge.jp/projects/tamago-tsunagi/
# Other useful, tamago related URLs:
#     http://emacs-20.ki.nu/tamago/
#     http://cgi18.plala.or.jp/~nyy/canna/
#     http://www.gcd.org/sengoku/boiling-egg/
#     ftp://ftp.ki.nu/pub/emcws/README.html  (obsoleted by tamago)

Source0:        http://osdn.dl.sourceforge.jp/tamago-tsunagi/62701/%{tsunagiName}-%{version}.tar.gz

# egg-canna.el was deleted 2013-08-27 by bkbin005@rinku.zaq.ne.jp
#Source1:        http://cgi18.plala.or.jp/nyy/canna/egg-canna.el.bz2

Source2:        boiling-egg.el.bz2
Source3:        http://iij.dl.sourceforge.jp/tamago-tsunagi/62684/ISFST99.pdf.bz2
Source4:        http://iij.dl.sourceforge.jp/tamago-tsunagi/62685/LC99.pdf.bz2
Source5:        suse-start.el
Patch0:         eggrc.patch
#BuildRoot:      %%{_tmppath}/%%{name}-%%{version}-build
BuildArch:      noarch
Summary:        Multilingual input method for Emacs
License:        GPL-2.0+
Group:          System/I18n/Japanese

%description
Tamago offers a multilingual input environment for GNU Emacs (>= 23.x).
It is completely written in Emacs Lisp and can use the backends FreeWnn
(jserver, cserver, tserver), Wnn6, SJ3 Ver.2, and Canna.

%prep
%setup -q -n %{tsunagiName}-%{version}
%patch0 -p1

cp -p $RPM_SOURCE_DIR/suse-start.el .
#cp -p $RPM_SOURCE_DIR/egg-canna.el.bz2 . # deleted 2013-08-27 .
cp -p $RPM_SOURCE_DIR/boiling-egg.el.bz2 .
cp -p $RPM_SOURCE_DIR/*.pdf.bz2 .
bunzip2 *.bz2
find -type d -name "CVS" | xargs rm -rfv

%build
%define emacs_sitelisp_dir %{_datadir}/emacs/site-lisp
%define emacs_package_dir %{emacs_sitelisp_dir}/egg
./configure --prefix=/usr
make
for i in boiling-egg # egg-canna was deleted 2013-08-27
do
   emacs -batch -q -no-site-file -no-init-file -f batch-byte-compile $i.el
done

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT%{emacs_sitelisp_dir}
make install prefix=$RPM_BUILD_ROOT/usr
for i in boiling-egg # egg-canna was deleted 2013-08-27 .
do
    install -m644 $i.{el,elc} $RPM_BUILD_ROOT%{emacs_sitelisp_dir}
done
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  cat suse-start.el
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-%{name}.el

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* PROBLEMS README* TODO NEWS *.pdf doc/*
%{emacs_package_dir}
%{emacs_package_dir}/egg/.nosearch
%{emacs_package_dir}/its/.nosearch
%{emacs_sitelisp_dir}/suse-start-%{name}.el
%{emacs_sitelisp_dir}/boiling-egg.el
%{emacs_sitelisp_dir}/boiling-egg.elc

%changelog
* Wed Feb 11 2015 bkbin005@rinku.zaq.ne.jp
- suse-start.el: removed (load "egg-canna.el") to fix boo#917480.
* Tue Feb  3 2015 bkbin005@rinku.zaq.ne.jp
- Change upstream Debian -> Tamago-tsunagi.
  Tamago's upstream died with m17n.org.
  So many distros imported Egg(= tamago) from Debian,
  and Each applied patches to them independently.
  It is nonefficiency, so I made new upstream project.
  Tamago-tsunagi-5.0.7.1 imported patches
  from FreeBSD's tamago-emacs24-4.0.6.0.20041122.19_12.
  https://www.freebsd.org/cgi/ports.cgi?query=tamago&stype=all .
  Because FreeBSD's tamago advances most.
  Now, Tamago-tsunagi goes along with FreeBSD's tamago maintainer.
- Fix (boo#915293) by Tamago-tsunagi.
- Change BuildRequires emacs-X -> emacs-nox >= 23.
  When building, tamago does not need X,
  tamago-tsunagi needs Emacs-nox >= 23.
- Change Requires emacs -> emacs >= 23.
  tamago-tsunagi needs Emacs >= 23
- Change URL m17n.org -> sourceforge.jp (tamago-tsunagi).
- Delete Patch1 Patch2 Source6, tamago-tsunagi does not need them.
  Patch1: egg_4.0.6+0.20041122cvs-19.diff.gz
  Patch2: tamago-fix-access-to-fwnn.patch
  Source6: egg_4.0.6+0.20041122cvs-19.dsc
- Modify description: tamago depends Emacs >= 23, now.
- Delete Authors from description.
  Because they do not maintain Tamago-tsunagi.
- Comment out BuildRoot:.
- Add NEWS in doc.
- Delete config from suse-start-tamago.el.
  Because rpmlint warned it.
- Add .nosearch in files.
  Because rpmlint warns them, but they are necessary.
  I did not write rpmlintrc.
  Because I do not like to delete warn messages.
- Modify Copyright year 2014 -> 2015.
* Sun Oct 19 2014 crrodriguez@opensuse.org
- Remove xorg-x11-devel from BuildRequires, noarch package
  does not need X libraries around.
* Sun Jun  1 2014 jengelh@inai.de
- Drop unused build-time requirements on libpng, libtiff, libgif
* Sun Sep  8 2013 bkbin005@rinku.zaq.ne.jp
- Fix tamago.changes:
  Fixed comment style .
- Fix tamago.spec:
  * fix commented-out macros: were changed to "_" .
    Because rpmlint tells them warning messages .
  * Source[234]'s URLs were dead, so I deleted URL .
  * Changed egg_4.0.6+0.20041122cvs-19.diff.gz
    to patch from source .
  * I deleted Japanese EUC-JP encoding comments .
  * I added a comment why am I import sources from Debian .
    Because upstream http://www.m17n.org/tamago was dead .
- Fix tamago-fix-access-to-fwnn.patch .
  I forgot to change comm-accept-timeout from nil to 1000
  in egg-com.el .
  So insert it in tamago-fix-access-to-fwnn.patch .
- Fix Version: tag in tamago.spec .
  I changed version string to Debian format .
  But its string was wrong, then fixed to openSUSE format .
- Fix that tamago can not access to FreeWnn's jserver
  (bnc#836138) .
  * Update to egg_4.0.6_20041122cvs.orig.tar.gz:
  * Imported source from http://packages.debian.org/wheezy/egg .
    http://ftp.de.debian.org/debian/pool/main/e/egg/egg_4.0.6+0.20041122cvs-19.dsc
    http://ftp.de.debian.org/debian/pool/main/e/egg/egg_4.0.6+0.20041122cvs.orig.tar.gz
    http://ftp.de.debian.org/debian/pool/main/e/egg/egg_4.0.6+0.20041122cvs-19.diff.gz
    Because upstream http://www.m17n.org/tamago wad dead,
    and egg_4.0.6+0.20041122cvs-19.diff.gz was fixed bnc#836138 .
  * Deleted source
    http://cgi18.plala.or.jp/nyy/canna/egg-canna.el.bz2 .
    Because this program can not run on Emacs-24.3-4.3 .
  * Added tamago-fix-access-to-fwnn.patch .
    Deleted (make-local-hook) function .
    And defvaralias 'last-command-char 'last-command-event .
    Because their function and variable are deleted
    from Emacs-24.3 .
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Feb  6 2004 hmacht@suse.de
- building as non-root
* Tue May 20 2003 ro@suse.de
- remove CVS subdirs
* Wed Nov 13 2002 ro@suse.de
- use x-devel-packages
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Nov 15 2001 mfabian@suse.de
- small fix to suse-start-tamago.el to make it work with Emacs 21
  again
* Fri Nov  9 2001 mfabian@suse.de
- add libjpeg libpng libtiff libungif to '# neededforbuild'
* Thu Oct 18 2001 mfabian@suse.de
- new package: tamago-4.0.6_20011017cvs
